package oracle.portal.sample.v2.devguide.helloservletworld;

import oracle.portal.provider.v2.personalize.PortletReference;
import oracle.portal.provider.v2.PortletDefinition;
import oracle.portal.provider.v2.personalize.NameValuePersonalizationObject;

public class ServletPersonalization extends NameValuePersonalizationObject
{
    public static final String GREETING = "hw_greeting";

    public ServletPersonalization()
    {
    }

    public void init(PortletReference ref)
    {
        super.init(ref);
        this.setPortletTitle("Hello World - Servlet Renderer");
        putString(GREETING, "Hello Servlet World");


    }
}
